local _, class = UnitClass("player")
---------------------------------------------------
-- standard configuration
---------------------------------------------------
whoaUnitFrames = {}
whoaUnitFrames.config = {
	classColor = true,				-- true or false
	largeAuraSize = 27,				-- Blizzard default value is 21
	smallAuraSize = 21,				-- Blizzard default value is 17
	customStatusText = true,		-- true or false (If this is false, all following points receive no consideration!)
	autoManaPercent = true,		-- true or false (If this is true, percentages where shown for mana classes!)
	thousandSeparators = true,		-- true or false
	simpleHealth = true,			-- rounds healthpoints over 99.999 (200.000 to 200 k, 3.000.000 to 3 m)
	showMaxHealth = false,			-- true or false - show the maximum healthpoints - Useful to get an idea of PVP opponents gear.
	scale = 1.0,					-- scaling for Focus-, Player- and TargetFrame
	petFrameOnTop = false,			-- true or false - Shows the PetFrame above the PlayerFrame.
	hitIndicators = true,			-- true or false - Do you wanna see the hitindicators on PlayerFrame and PetFrame?
	showToTName = false,			-- true or false - Shows the Name of the ToT beside your TargetFrame.
	--
	customFontSize = 10;			-- It used to work. Sets whoaUF text size for player, target and focus. default: 10
}

whoaUnitFrames.config.phrases = {
	["1000 separator"] = ".",
	["Dead"] = "|cFFFFFFFFDead|r",
	["Ghost"] = "|cFFFFFFFFGhost|r",
	["Offline"] = "|cFFFFFFFFOffline|r",
	["kilo"] = " K",  -- simpleHealth 1.000
	["mega"] = " M",  -- simpleHealth 1.000.000
	["giga"] = " G",  -- simpleHealth 1.000.000.000
}

---------------------------------------------------
-- class specific configuration
---------------------------------------------------
if class == "PRIEST" then
whoaUnitFrames.config.repositionPartyText = false
	-- whoaUnitFrames.config.largeAuraSize = 27
	-- whoaUnitFrames.config.smallAuraSize = 21
	-- whoaUnitFrames.config.autoManaPercent = true
	-- whoaUnitFrames.config.classColor = false
end
if class == "DRUID" then
	whoaUnitFrames.config.repositionPartyText = false
end
if class == "MONK" then
	whoaUnitFrames.config.repositionPartyText = false
end
if class == "MAGE" then
	whoaUnitFrames.config.repositionPartyText = false
end
if class == "PALADIN" then
	whoaUnitFrames.config.repositionPartyText = false
end
if class == "SHAMAN" then
	whoaUnitFrames.config.repositionPartyText = false
end
if class == "WARLOCK" then
	whoaUnitFrames.config.repositionPartyText = false
end
if class == "DEATHKNIGHT" then
	whoaUnitFrames.config.repositionPartyText = false
end
if class == "HUNTER" then
	whoaUnitFrames.config.repositionPartyText = false
end
if class == "ROGUE" then
	whoaUnitFrames.config.repositionPartyText = false
end
if class == "WARRIOR" then
	whoaUnitFrames.config.repositionPartyText = false
end
if class == "DEMONHUNTER" then
	whoaUnitFrames.config.repositionPartyText = false
end